/*
 * JBoss, Home of Professional Open Source
 *
 * Distributable under LGPL license.
 * See terms of license at gnu.org.
 */

package org.jboss.cache.aop.annotation;

import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Target;
import java.lang.annotation.ElementType;

/**
 * Annoataion that wraps the Prepare annotation of JBossAop.
 *
 * @author Ben Wang
 *         Date: Jan 22, 2006
 * @version $Id: InstanceOfPojoCacheable.java 1139 2006-02-05 05:54:14Z bwang $
 */
@Retention(RetentionPolicy.RUNTIME)
@Target(ElementType.TYPE)
public @interface InstanceOfPojoCacheable {
}
